org.crosswire.jsword.book.readings

## Class ReadingsBookDriver

- java.lang.Object
- - org.crosswire.jsword.book.basic.AbstractBookDriver
  - - org.crosswire.jsword.book.readings.ReadingsBookDriver

- All Implemented Interfaces:
    BookDriver, BookProvider

      public class ReadingsBookDriver
      extends AbstractBookDriver

  A driver for the readings dictionary.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `ReadingsBookDriver.ReadingsFilter` Get all files mentioned by readings.txt

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Book[]` | `books` The meta data array
    `static String` | `DIR_READINGS` Resources subdir for readings sets
    `private static BookDriver` | `INSTANCE` A shared instance of this driver.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadingsBookDriver()` Setup the array of BookMetaDatas

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Book[]` | `getBooks()` Provide books.
    `String` | `getDriverName()` A short name for this BookDriver
    `String[]` | `getInstalledReadingsSets()` Get a list of the available readings sets
    `static BookDriver` | `instance()` Get the singleton instance of this driver.

    - ### Methods inherited from class org.crosswire.jsword.book.basic.AbstractBookDriver

      `create, delete, getFirstBook, isDeletable, isWritable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### books

          private Book[] books

      The meta data array

    - #### DIR_READINGS

          public static final String DIR_READINGS

      Resources subdir for readings sets
      See Also:
        Constant Field Values

    - #### INSTANCE

          private static final BookDriver INSTANCE

      A shared instance of this driver.

  - ### Constructor Detail

    - #### ReadingsBookDriver

          public ReadingsBookDriver()

      Setup the array of BookMetaDatas

  - ### Method Detail

    - #### getBooks

          public Book[] getBooks()

      Description copied from interface: `BookProvider`
      Provide books.
      Returns:
        the books

    - #### getDriverName

          public String getDriverName()

      Description copied from interface: `BookDriver`
      A short name for this BookDriver
      Returns:
        a short name for this BookDriver

    - #### instance

          public static BookDriver instance()

      Get the singleton instance of this driver.
      Returns:
        this driver instance

    - #### getInstalledReadingsSets

          public String[] getInstalledReadingsSets()

      Get a list of the available readings sets
      Returns:
        all the installed reading sets